Patch My Notification Prefs
curl --request PATCH \
--url https://api.example.com/api/users/me/notification-prefs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"notifyInApp": true,
"notifyEmail": true,
"criticalAlerts": true,
"weeklyReports": true,
"notifyScanEvents": true,
"notifyDatasetEvents": true,
"notifyProjectEvents": true,
"notifySecurityEvents": true,
"notifyUserEvents": true,
"notifyOtherEvents": true,
"notifyToastAlerts": true,
"notifyScanSuccess": true,
"notifyScanFailure": true
}
'import requests
url = "https://api.example.com/api/users/me/notification-prefs"
payload = {
"notifyInApp": True,
"notifyEmail": True,
"criticalAlerts": True,
"weeklyReports": True,
"notifyScanEvents": True,
"notifyDatasetEvents": True,
"notifyProjectEvents": True,
"notifySecurityEvents": True,
"notifyUserEvents": True,
"notifyOtherEvents": True,
"notifyToastAlerts": True,
"notifyScanSuccess": True,
"notifyScanFailure": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
notifyInApp: true,
notifyEmail: true,
criticalAlerts: true,
weeklyReports: true,
notifyScanEvents: true,
notifyDatasetEvents: true,
notifyProjectEvents: true,
notifySecurityEvents: true,
notifyUserEvents: true,
notifyOtherEvents: true,
notifyToastAlerts: true,
notifyScanSuccess: true,
notifyScanFailure: true
})
};
fetch('https://api.example.com/api/users/me/notification-prefs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"notifyInApp": true,
"notifyEmail": false,
"criticalAlerts": true,
"weeklyReports": false,
"notifyScanEvents": true,
"notifyDatasetEvents": true,
"notifyProjectEvents": true,
"notifySecurityEvents": true,
"notifyUserEvents": true,
"notifyOtherEvents": true,
"notifyToastAlerts": true,
"notifyScanSuccess": true,
"notifyScanFailure": true
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}users
Patch My Notification Prefs
PATCH
/
api
/
users
/
me
/
notification-prefs
Patch My Notification Prefs
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Cookies
Body
application/json
Response
Successful Response
User-configurable notification settings.
Keys intentionally mirror frontend naming.
⌘I

